Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

BattleKits 1.0.4

The awesome kit plugin, now for PocketMine!

  1. Falk
    For PocketMine-MP:
    API 1.0.0 <=
    BattleKits
    BattleKits is a shiny new kit plugin for PocketMine. It is essential to any KitPvP server.

    Features
    • Awesome PvP experience
    • Fully configurable kits including setting individual inventory slots and custom commands
    • Supports multiple world (why not?)
    • Comes with out of the box compatibility with EconomyS and PocketMoney (Experimental)
    • Allows for custom economy APIs
    • Create signs for players to get kits
    Kit signs
    Battlekits allows creating signs for easy kit rewards. To create a kit sign just make the first line [BattleKits] and the second line the kit name. When the sign is created you will recieve a message if it was successful. In order to create signs you need battlekits.sign.create and to use signs you need battlekits.sign.use.

    [​IMG]

    Credits
    • This plugin was inspired by BattleKits for bukkit and I would like to thank all the devlopers there for making such a great plugin.
    • For fault of a better I have used the BattleKits for Bukkit logo. This is not my property and is licensed under GPLv3 (I think).
    • Finally I would like to thank @ZenCloud for requesting the plugin in the first place and helping guide the project.
    Magic Updater
    This plugin includes an updater script starting from version 1.0.1. For information on how to use it check out http://blog.falkirks.com/pm-updater/
    Optional Plugins:
    EconomyAPI, PocketMoney
    Alternate Categories:
    • Economy
    • Mechanics

Recent Updates

  1. Fix to kit signs
  2. Important fix to PocketMoney
  3. Fixed Permissions Issue

Recent Reviews

  1. HeyFishy
    HeyFishy
    3/5,
    Version: 1.0.4
    I LOVE this plugin but i host my pocketmine server on my phone and cant edit the config file. So could you make it so i can add kits in-game or on the consol using commands? if you could it would be greatky appreciated! :) thx.
  2. Gatucraft
    Gatucraft
    5/5,
    Version: 1.0.4
    Excelent plugin. It works just fine and it has a lot of features and it has so much potencial! I will really like to have a perm to the kits to be free for my vip players!
  3. smyers119
    smyers119
    4/5,
    Version: 1.0.4
    Best kit plugin, seems I'm still working out some kinks with it though
  4. YOUSEFCRAFT308
    YOUSEFCRAFT308
    5/5,
    Version: 1.0.4
    Nice Plugin But. How I can add more kits?..
    1. Falk
      Author's Response
      They can be added in the config at the same indent level as the first kit. This question has been answered somewhere in the plugin discussion thread.
  5. ianthunder16
    ianthunder16
    5/5,
    Version: 1.0.4
    This is really awesome plugin:) and u can add effects.. but how can i add enchanted items to config.yml ?
    1. Falk
      Author's Response
      That isn't supported yet, I still need to figure out how they work inside PocketMine.
  6. SaphirSan
    SaphirSan
    3/5,
    Version: 1.0.4
    The Plugin say┬┤s me: That the Kit not exist on this world and i don`t no how i change that. Can anybody help me?
    1. Falk
      Author's Response
      You have to edit the config.yml and add the world to the kit. You can use the plugin thread if you require more help.
  7. Kamrentheslayer
    Kamrentheslayer
    5/5,
    Version: 1.0.4
    Awesome but could you add more kits such as Knight Iron Gold Diamond etc because do not know how to edit the config file to add more kits it is confusing to me.
  8. SniperCraft
    SniperCraft
    4/5,
    Version: 1.0.4
    This plugin is beast but how can I make it so that normal players can use it too and not just ops!
    1. Falk
      Author's Response
      Use a permission manager and give them the permissions.
  9. Coder_Request
    Coder_Request
    5/5,
    Version: 1.0.4
    Um how to allow permissions for pure perms?
  10. QuangDo
    QuangDo
    4/5,
    Version: 1.0.4
    It is hard to add kit
Advertisement